/*
 * @Author: wenjie 1454560336@qq.com
 * @Date: 2024-07-12 14:03:08
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-09-09 17:10:02
 * @FilePath: \admin-manage\src\api\equity.js
 * @Description: 
 * 
 * Copyright (c) 2024 by ${git_name_email}, All Rights Reserved. 
 */
import request from '@/utils/request'

// 权益列表
export function equityList(params) {
  return request({
    url: '/zswl-cloud-shop/equityInfo/search',
    method: 'get',
    params
  })
}


// 添加编辑
export function editEquity(data) {
    return request({
      url: '/zswl-cloud-shop/equityInfo/saveOrUpdate',
      method: 'post',
      data
    })
  }

// 删除权益
export function delEquity(params) {
    return request({
      url: '/zswl-cloud-shop/equityInfo/del',
      method: 'get',
      params
    })
  }


// 启用禁用权益
export function enableEquity(params) {
    return request({
        url: '/zswl-cloud-shop/equityInfo/enable',
        method: 'get',
        params
    })
}

// 显示不显示
export function showEquity(params) {
  return request({
      url: '/zswl-cloud-shop/equityInfo/show',
      method: 'get',
      params
  })
}

// 查看权益
export function getEquity(params) {
    return request({
        url: '/zswl-cloud-shop/equityInfo/get',
        method: 'get',
        params
    })
}

// 权益领取列表
export function getLogList(params) {
  return request({
      url: '/zswl-cloud-shop/couponInfoLog/listMediaVip',
      method: 'get',
      params
  })
}
// 权益发放
export function commitEquity(params) {
  return request({
      url: '/zswl-cloud-shop/couponInfoLog/commitByPlatform',
      method: 'get',
      params
  })
}

